<Route
  @name={{routeName}}
  @title={{if item.ID 'Edit Intention' 'New Intention'}}
as |route|>
{{#let (not (can "write intention" item=item)) as |readOnly|}}
  <AppView>
      <BlockSlot @name="breadcrumbs">
          <ol>
            <li><a data-test-back href={{href-to 'dc.intentions'}}>All Intentions</a></li>
          </ol>
      </BlockSlot>
      <BlockSlot @name="header">
          <h1>
  {{#if readOnly}}
    {{#if item.ID}}
            Edit Intention
    {{else}}
            New Intention
    {{/if}}
  {{else}}
            View Intention
  {{/if}}
          </h1>
      </BlockSlot>
      <BlockSlot @name="content">
        <Consul::Intention::Form
          @readonly={{readOnly}}
          @item={{item}}
          @dc={{dc}}
          @nspace={{nspace}}
          @onsubmit={{transition-to 'dc.intentions.index' dc}}
        />
      </BlockSlot>
  </AppView>
{{/let}}
</Route>